## org.apache.fop.fo.pagination
Class Root

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FObj
                  |
                  +--org.apache.fop.fo.pagination.Root

public class Root
extends FObj

The fo:root formatting object. Contains page masters, root extensions, page-sequences.

Inner Class Summary
`static class` `Root.Maker`

Inner classes inherited from class org.apache.fop.fo.FObj
`FObj.Maker`

Fields inherited from class org.apache.fop.fo.FObj
`name, properties`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`protected` `Root(FObj parent, PropertyList propertyList)`

Method Summary
`void` `addPageSequence(PageSequence pageSequence)` Deprecated. handled by addChild now
`void` `format(AreaTree areaTree)`
`LayoutMasterSet` `getLayoutMasterSet()`
`static FObj.Maker` `maker()`
`void` `setLayoutMasterSet(LayoutMasterSet layoutMasterSet)`

Methods inherited from class org.apache.fop.fo.FObj
`addCharacters, end, generatesReferenceAreas, getContentWidth, getName, getProperty, layout, removeID, start`

Methods inherited from class org.apache.fop.fo.FONode
`addChild, forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, removeAreas, resetMarker, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Root

    protected Root(FObj parent,
                   PropertyList propertyList)
            throws FOPException

Method Detail

### maker

    public static FObj.Maker maker()

### addPageSequence

    public void addPageSequence(PageSequence pageSequence)

  Deprecated. handled by addChild now

### getLayoutMasterSet

    public LayoutMasterSet getLayoutMasterSet()

### setLayoutMasterSet

    public void setLayoutMasterSet(LayoutMasterSet layoutMasterSet)

### format

    public void format(AreaTree areaTree)
                throws FOPException

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.